#include <bits/stdc++.h>
using namespace std;
int n;
vector<int> divs;
int main(){
    cin>>n;
    for(int i=1; i<=n; i++) if(n%i==0) divs.push_back(i);
    int ans=0;
    for(int i=0; i<divs.size(); i++){
        for(int j=i; j<divs.size(); j++){
            if(n%(i*j)!=0) continue;
            int d3 = n/(i*j);
            if(find(divs.begin(), divs.end(), n/(i*j))!=divs.end()) ans++;
        }
    }
    cout<<ans<<"\n";
    return 0;
}
